Package ru.bitel.bgbilling.plugins.im.server.bean

# Class MessageManager

java.lang.Object
ru.bitel.bgbilling.plugins.im.server.bean.MessageManager

public class MessageManager extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageManager(Connection con, ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMessage(ru.bitel.bgbilling.plugins.im.common.IMMessage message)`
  Вставляет заполненый объект IMMessage в БД
  `int`
  `getMessageCount(int userId, String jidfrom, String jidto, Long datefrom, Long dateto)`
  Число сообщений.
  `List<ru.bitel.bgbilling.plugins.im.common.IMMessage>`
  `getMessageList(int userId, String jidfrom, String jidto, Long datefrom, Long dateto, Page page)`
  Возвращает список сообщений за установленный период от указанного jid к указанному.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### con

    protected Connection con

- ## Constructor Details

  - ### MessageManager

    public MessageManager(Connection con, ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin)

- ## Method Details

  - ### getMessageList

    public List<ru.bitel.bgbilling.plugins.im.common.IMMessage> getMessageList(int userId, String jidfrom, String jidto, Long datefrom, Long dateto, Page page) throws ru.bitel.bgbilling.common.BGException
    Возвращает список сообщений за установленный период от указанного jid к указанному.
    Parameters:
      `userId` - ИД юзера, для которого возвращаем историю. Введено оттого, что только по паре jidfrom, jidto нельзя ориентироваться - история в таблице может быть для обоих юзеров из переписки, тогда выберутся сообщения для обоих сторон и сообщения в истории будут дублированные возвращаться.
      `jidfrom` - жид пользователя, от которого надо вернуть сообещния (ведь список сообщений для какого то чата, то есть с одним человеком). это типа "удалённый оппонент".
      `jidto` - жид пользователя. надо сказать что хистори хранится для изера только (без учёта ресурса)! как на сервере храниться так и тут возвращается. это типа "мы".
      `datefrom` - дата начала периода, если нету (null) - все сообщения с начала. Даты - в длинных числах (миллисекунды!). И берётся включительно.
      `dateto` - дата конца периода, если нету (null) - все до последнего.
      `page` - страницы.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMessageCount

    public int getMessageCount(int userId, String jidfrom, String jidto, Long datefrom, Long dateto) throws ru.bitel.bgbilling.common.BGException
    Число сообщений.
    Returns:
      натуральное число.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
    See Also:
      - `getMessageList(int,java.lang.String,java.lang.String,java.lang.Long,java.lang.Long,ru.bitel.common.model.Page)`

  - ### addMessage

    public void addMessage(ru.bitel.bgbilling.plugins.im.common.IMMessage message) throws ru.bitel.bgbilling.common.BGException
    Вставляет заполненый объект IMMessage в БД
    Parameters:
      `message` - сообщение, заполнены все поля кроме ид конечно, ид заполняется на выходе, на всякий случай.
    Throws:
      `ru.bitel.bgbilling.common.BGException`